Package edu.hws.jcm.data

# Interface MathObject

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `ParserExtension`

All Known Implementing Classes:
  `Constant`, `DataTableInput`, `ExpressionFunction`, `FunctionParserExtension`, `StandardFunction`, `SummationParser`, `TableFunction`, `Variable`, `WrapperFunction`

public interface MathObject extends Serializable
A MathObject is just an object that has setName and getName methods. MathObjects can be registered with a Parser (meaning that they are stored in the SymbolTable associated with the Parser, and can be used in expressions parsed by the Parser).

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name of this object.
`void`
`setName(String name)`
Set the name of this object.

## Method Details

### getName

String getName()
Get the name of this object.

### setName

void setName(String name)
Set the name of this object. This should not be done if the MathObject is registered with a Parser.